Bug 1314170 - Installer fails to find required teiid-domain-dashboard-add_datasource.cli cli-script
Installer fails to find required teiid-domain-dashboard-add_datasource.cli cl...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Installer (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: ---
Assigned To: Thomas Hauser
Jan Stastny
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 01:56 EST by Jan Stastny
Modified: 2016-08-24 07:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:49:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stastny 2016-03-03 01:56:44 EST
Description of problem:
Installer fails during default installation with error:

Script /home/jstastny/tmp-workspaces/6.3-ER1/cli-scripts/teiid-domain-dashboard-add_datasource.cli does not exist.

I verified, that no such script is present in mentioned directory.
Instead similarly named script is present:
teiid-dashboard-domain-add_datasource.cli

There's probably only error in naming.

Version:
DV 6.3.0 ER1
Comment 1 Alex Szczuczko 2016-03-03 05:03:14 EST
Might be related to the ip.git script cleanup (the installer was working before then), although I don't remember this script being affected.
Comment 2 Alex Szczuczko 2016-03-03 08:52:57 EST
I looked for other bad references in the installer, some of these might be false-positives:

--- in-assembly	2016-03-03 13:49:00.344334965 +0000
+++ installer-referenced	2016-03-03 13:49:25.597998328 +0000
@@ -8,13 +8,16 @@
 ModeShape-infinispan.cli
 ModeShape-standalone.cli
 ModeShape-subsystem.cli
+teiid-add-database-logger*
 teiid-add-database-logger.cli
 teiid-add-database-logger-domain.cli
 teiid-dashboard-add_datasource.cli
-teiid-dashboard-domain-add_datasource.cli
 teiid-deploy-dashboard.cli
 teiid-deploy-dashboard-domain.cli
 teiid-domain-auditcommand-logging.cli
+teiid-domain-auditcommand-logging-COPY
+teiid-domain-auditcommand-logging-COPY/teiid-domain-auditcommand-logging.cli
+teiid-domain-dashboard-add_datasource.cli
 teiid-domain-mode-install.cli
 teiid-logger-ds.properties
 teiid-modeshape-domain.cli
Comment 3 Alex Szczuczko 2016-03-08 08:59:50 EST
Fixed in ER1.1

Note You need to log in before you can comment on or make changes to this bug.